package com.wms_main.model.vo.wms;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.wms_main.model.po.TAppProductExtend;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 配料单对应关系
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class KittingBomRelationVo extends BaseImportVo {
    /**
     * id
     */
    @JsonProperty("recordId")
    private String recordId;
    /**
     * 机型
     */
    @JsonProperty("model")
    private String model;
    /**
     * 总成
     */
    @JsonProperty("productId")
    private String productId;
    /**
     * 单片
     */
    @JsonProperty("singleProductId")
    private String singleProductId;

    /**
     * 将po对象转换为vo对象
     * @param po po对象
     * @return vo对象
     */
    public static KittingBomRelationVo ofPo(TAppProductExtend po) {
        return new KittingBomRelationVo(
                po.getRecordId(),
                po.getModel(),
                po.getProductId(),
                po.getSingleProductId()
        );
    }
}
